View Issue Details

IDProjectCategoryView StatusLast Update
0003636Far ManagerPlugins API.Viewerpublic2019-03-17 00:05
ReporterJohnDoeAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version8
Product Version3.0 
Target VersionFixed in Version 
Summary0003636: VCTL_GETFILENAME не работает при закрытии QView
DescriptionПри обработке последнего VE_CLOSE, возникающего при выключении режима QView, невозможно получить имя файла.
Steps To ReproduceОткрыть и закрыть быстрый просмотр (CtrlQ CtrlQ)

Event{
  group="ViewerEvent";
  action=function(ViewerID,Event)
    if not viewer.GetFileName(ViewerID) then
      win.OutputDebugString(Event)
    end
  end;
}
TagsNo tags attached.
Build5374

Activities

IgorZ

2019-01-14 11:40

reporter   bugnote:0016399

С VCTL_GETINFO ситуация идентична. Проверял на следующем примере:
Event{
  group="ViewerEvent";
  condition=function(_,Event) return Event==F.VE_READ or Event==F.VE_CLOSE end;
  action=function(Id) far.Show(viewer.GetInfo(Id)) end;
}

2useven10

2019-02-06 19:34

developer   bugnote:0016452

5360

2useven10

2019-03-12 15:32

developer   bugnote:0016471

5374

Issue History

Date Modified Username Field Change
2018-08-19 11:55 JohnDoe New Issue
2019-01-14 11:40 IgorZ Note Added: 0016399
2019-02-06 19:34 2useven10 Assigned To => 2useven10
2019-02-06 19:34 2useven10 Status new => feedback
2019-02-06 19:34 2useven10 Note Added: 0016452
2019-02-19 13:07 2useven10 Status feedback => closed
2019-02-19 13:07 2useven10 Resolution open => fixed
2019-02-19 13:07 2useven10 Build => 5360
2019-03-12 11:05 2useven10 Status closed => assigned
2019-03-12 15:32 2useven10 Status assigned => feedback
2019-03-12 15:32 2useven10 Note Added: 0016471
2019-03-14 17:29 JohnDoe Status feedback => resolved
2019-03-17 00:05 2useven10 Status resolved => closed
2019-03-17 00:05 2useven10 Build 5360 => 5374